> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 监控信号搜索

> 读取一次分页投递（`is_paged_delivery: true`）的下一页。时间窗口在运行时即被固定：该页只包含这个窗口内的信号，并按监控当前的筛选条件、公司范围、排除名单和公司去重窗口过滤，顺序与投递一致。每一页都是一次有界的键集读取，计费方式与对应的搜索相同（该页读取的每种信号类型扣一次搜索积分；关注列表免费）。该页的结构与 webhook 负载相同。



## OpenAPI

````yaml cn-openapi POST /monitors/signals/search
openapi: 3.0.0
info:
  description: >-
    Pubrio API 提供市场扩张情报——实时捕捉企业进入新市场的信号，以及其底层的公司与人员数据。可搜索、查找并丰富账户与联系人信息，并订阅覆盖
    200+ 市场、带类型与日期的动向信号。
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/zh-CN/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/zh-CN/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: 工作区配置信息和使用统计
  - name: Enrichment
    description: 通过详细的 B2B 数据丰富人员和公司记录
  - name: Lookalike
    description: 查找与指定公司相似的公司
  - name: Search
    description: 使用筛选条件搜索人员、公司、职位、新闻和广告
  - name: Lookup
    description: 查找特定人员、公司、职位、新闻、广告和技术的详细信息
  - name: LinkedIn
    description: 通过 LinkedIn 个人资料 URL 查找人员和公司数据
  - name: Redeem
    description: 兑换积分以解锁人员联系方式（单个和批量）
  - name: Channels
    description: 管理外展渠道模板（创建、更新、删除、列表）
  - name: Monitor
    description: 创建和管理数据监控，包括 Webhook、统计和处理
  - name: Filters
    description: 获取搜索参数的可用筛选值（技术、地点、垂直领域等）
  - name: API Keys
    description: 查看 API 密钥的请求日志和使用情况分析
  - name: Insights
    description: 公司的信号聚合洞察(招聘、新闻、广告)。
  - name: Export
    description: 批量数据导出(消耗积分)。
  - name: Expansion
    description: 公司市场扩张情报:信号、阶段、市场与导出。
externalDocs:
  description: Pubrio API 用于搜索、预览和增强联系人及账户信息。Pubrio 数据库提供丰富的 B2B 联系人和销售情报数据。
  url: https://docs.pubrio.com
paths:
  /monitors/signals/search:
    post:
      tags:
        - Monitor
      summary: 搜索分页投递的信号
      description: >-
        读取一次分页投递（`is_paged_delivery:
        true`）的下一页。时间窗口在运行时即被固定：该页只包含这个窗口内的信号，并按监控当前的筛选条件、公司范围、排除名单和公司去重窗口过滤，顺序与投递一致。每一页都是一次有界的键集读取，计费方式与对应的搜索相同（该页读取的每种信号类型扣一次搜索积分；关注列表免费）。该页的结构与
        webhook 负载相同。
      operationId: monitors_signals_search
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                page_token:
                  type: string
                  description: >-
                    来自分页投递或上一页的
                    `metadata.window.next_page_token`。它携带固定的时间窗口，因此同一个令牌总是读取同一段范围；在最后一页为
                    `null`，表示该窗口已读完。
              required:
                - page_token
      responses:
        '200':
          description: >-
            该页，结构与 webhook 负载相同，并附带所有搜索都会返回的 `pagination` 块。外层结构为 `{ metadata: {
            monitor_log_id, page_token }, data: {...} }`。
          content:
            application/json:
              schema:
                type: object
                properties:
                  metadata:
                    type: object
                    properties:
                      monitor_log_id:
                        type: string
                        format: uuid
                        description: 此页所属的投递（其统计日志记录）。
                      page_token:
                        type: string
                        description: 读取此页所用的令牌。
                  data:
                    type: object
                    description: >-
                      与 webhook 负载结构相同：`monitor`、`metadata`、`triggered_at`，以及
                      `signals`（信号记录单位）或 `companies`（公司记录单位）。
                    properties:
                      metadata:
                        type: object
                        properties:
                          monitor_log_id:
                            type: string
                            format: uuid
                            description: 此页所属的投递。
                          total_signals:
                            type: integer
                            description: 此页上的信号数。
                          total_companies:
                            type: integer
                            description: 此页上的公司数。
                          window:
                            type: object
                            properties:
                              from:
                                type: string
                                format: date-time
                                description: 窗口开始时间（上一次运行）。
                              to:
                                type: string
                                format: date-time
                                description: 窗口结束时间（本次运行）。
                              next_page_token:
                                type: string
                                nullable: true
                                description: 下一页的令牌；在最后一页为 `null`。
                      pagination:
                        $ref: '#/components/schemas/search_pagination'
              example:
                metadata:
                  monitor_log_id: 516b72de-79d5-400b-9bae-423a43eca98b
                  page_token: c2b1…
                data:
                  monitor:
                    monitor_id: c9cd5421-b327-4243-9cd7-8b341b3da8bd
                    name: Weekly CFO hires
                    detection_mode: signal_first
                    record_unit: signal
                  metadata:
                    monitor_log_id: 516b72de-79d5-400b-9bae-423a43eca98b
                    parent_monitor_log_id: null
                    total_signals: 25
                    total_companies: 25
                    total_people: 0
                    window:
                      from: '2026-10-10T02:09:00.000Z'
                      to: '2026-10-17T06:09:56.270Z'
                      next_page_token: eyJhbGciOi…
                  triggered_at: '2026-10-17T06:20:11.002Z'
                  signals: []
                  pagination:
                    page: 2
                    per_page: 25
                    total_entries: 395
                    total_pages: 16
                    total_display_pages: 16
                    is_timeout: false
                    is_estimated: false
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
components:
  schemas:
    search_pagination:
      type: object
      description: 结果集的分页信息。
      properties:
        page:
          type: integer
          description: 当前页码。
        per_page:
          type: integer
          description: 每页记录数。
        total_entries:
          type: integer
          description: 匹配记录总数。当 `is_estimated` 为 `true` 时为估算值。
        total_pages:
          type: integer
          description: '`total_entries` 除以 `per_page`。'
        total_display_pages:
          type: integer
          description: 本次结果的页数，受套餐的 `max_display_search_page` 限制。
        is_estimated:
          type: boolean
          description: >-
            `total_entries` 为估算值而非精确计数时为 `true`。请勿依据估算的总数来判断何时停止翻页；当某一页返回的行数少于
            `per_page` 时即可停止。
        is_timeout:
          type: boolean
          description: 搜索超时时为 `true`。此时 `total_entries` 仅统计目前已返回的行，空页表示搜索尚未完成，而不是没有匹配结果。
  responses:
    general_error:
      description: 请求错误。请求格式不正确或包含无效参数。请检查错误代码和消息以获取详细信息。
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: 错误及代码会根据不同场景有所不同，详情请参阅文档。
                type: string
              details:
                type: object
    rate_limit_error:
      description: 超出速率限制。在给定时间段内发送了过多请求。请在速率限制窗口重置后重试。
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: 请求频率超出限制。请稍后再试。
                type: string
    server_error:
      description: 内部服务器错误。服务器发生意外错误。如果错误持续存在，请联系支持团队。
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: 服务器在处理请求时遇到了未预料的异常。
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        一个唯一的 API 令牌，用于标识您通过 API 执行的操作以及相应的权限和操作。您可以在
        [设置](https://dashboard.pubrio.com/#/settings/) 部分创建该令牌。
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.